summaryrefslogtreecommitdiffstats
path: root/accessibility
diff options
context:
space:
mode:
author Menno Duursma2010-05-13 00:20:34 +0200
committer David Somero2010-05-13 00:20:34 +0200
commite88f160e73670e6e8b29b56647a2977e0da99b44 (patch)
tree25e4dd6edcd9b2bfff149b92637a4654f439bb03 /accessibility
parentedd7158cefed143f2b5581f7aab730c17514e2ec (diff)
downloadslackbuilds-e88f160e73670e6e8b29b56647a2977e0da99b44.tar.gz
accessibility/linuxwacom: Updated for version 0.8.4_6
Diffstat (limited to 'accessibility')
-rw-r--r--accessibility/linuxwacom/README2
-rw-r--r--accessibility/linuxwacom/doinst.sh5
-rw-r--r--accessibility/linuxwacom/linuxwacom.SlackBuild43
-rw-r--r--accessibility/linuxwacom/linuxwacom.info9
-rw-r--r--accessibility/linuxwacom/slack-desc2
5 files changed, 34 insertions, 27 deletions
diff --git a/accessibility/linuxwacom/README b/accessibility/linuxwacom/README
index 90def75316..5b498c5acd 100644
--- a/accessibility/linuxwacom/README
+++ b/accessibility/linuxwacom/README
@@ -5,10 +5,8 @@ XFree86/Xorg XInput drivers.
One way of loading the kernel module at boot, add edit /etc/rc.d/rc.modules
adding a line similar to the following:
-
/sbin/modprobe wacom
Please see the following url for X server configuration:
http://linuxwacom.sourceforge.net/index.php/howto/inputdev
-
See also the wacom(4) manpage
diff --git a/accessibility/linuxwacom/doinst.sh b/accessibility/linuxwacom/doinst.sh
index b2e285f2a5..f786c22372 100644
--- a/accessibility/linuxwacom/doinst.sh
+++ b/accessibility/linuxwacom/doinst.sh
@@ -1,3 +1,2 @@
-# As depmod is run by /etc/rc.d/rc.modules (at boot) also
-# i'd figure this wount hurt any here either ...
-depmod -a
+chroot . /sbin/depmod -a @KERNEL@
+
diff --git a/accessibility/linuxwacom/linuxwacom.SlackBuild b/accessibility/linuxwacom/linuxwacom.SlackBuild
index 4b3a255a93..f0e5ccda0d 100644
--- a/accessibility/linuxwacom/linuxwacom.SlackBuild
+++ b/accessibility/linuxwacom/linuxwacom.SlackBuild
@@ -1,6 +1,7 @@
#!/bin/sh
# Slackware build script for The Linux Wacom Project
+
# Written by Menno Duursma <druiloor@zonnet.nl>
# This program is free software. It comes without any warranty.
@@ -10,28 +11,32 @@
# Modified by the SlackBuilds.org project.
PRGNAM=linuxwacom
-VERSION=${VERSION:-0.8.2_2}
+VERSION=${VERSION:-0.8.4_4}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Thanks to paul wisehart for sugesting this
-SRCVER=$(echo $VERSION | tr _ -)
+KERNEL=${KERNEL:-$(uname -r)}
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCVER=$(echo $VERSION | tr _ -)
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -46,26 +51,30 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# build drivers (incl kernel module)
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-./configure \
+./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-kernel=/lib/modules/${KERNEL}/source \
+ --with-linux=yes \
--enable-wacom \
- --with-linux=yes
+ --disable-static \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-# Make a destdir for the kernel module
-mkdir -p $PKG/lib/modules/$(uname -r)/kernel/drivers/usb/input
-
-# cut (extra) version from sourcedir name and copy the .ko
-cp src/$(uname -r | cut -d- -f1 | cut -d. -f1,2,3)/wacom.ko \
- $PKG/lib/modules/$(uname -r)/kernel/drivers/usb/input
+# Install the kernel module
+# Ignore the "2.6.28" in the path below; you can verify with
+# modinfo(8) if you don't trust me... ;-) --rworkman
+mkdir -p $PKG/lib/modules/${KERNEL}/kernel/drivers/usb/input
+install -m 0644 src/2.6.28/wacom.ko \
+ $PKG/lib/modules/${KERNEL}/kernel/drivers/usb/input
( cd $PKG/usr || exit 1
find . -type f | xargs file | grep -e "executable" -e "shared object" \
@@ -73,12 +82,12 @@ cp src/$(uname -r | cut -d- -f1 | cut -d. -f1,2,3)/wacom.ko \
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a [A-Z][A-Z]* ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog GPL README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+sed "s%@KERNEL@%$KERNEL%" $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/accessibility/linuxwacom/linuxwacom.info b/accessibility/linuxwacom/linuxwacom.info
index 583cbd6da4..9dedb61f87 100644
--- a/accessibility/linuxwacom/linuxwacom.info
+++ b/accessibility/linuxwacom/linuxwacom.info
@@ -1,9 +1,10 @@
PRGNAM="linuxwacom"
-VERSION="0.8.2_2"
+VERSION="0.8.4_6"
HOMEPAGE="http://linuxwacom.sourceforge.net/"
-DOWNLOAD="http://downloads.sourceforge.net/linuxwacom/linuxwacom-0.8.2-2.tar.bz2"
-MD5SUM="bdfaf6da49b446e251ac1f98754a89a2"
+DOWNLOAD="http://downloads.sourceforge.net/linuxwacom/linuxwacom-0.8.4-4.tar.bz2"
+MD5SUM="e66c2732e51bca8a56c3d41e502bf7b9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Menno Duursma"
EMAIL="druiloor@zonnet.nl"
APPROVED="dsomero"
-
diff --git a/accessibility/linuxwacom/slack-desc b/accessibility/linuxwacom/slack-desc
index 613b15ed89..8816eaf52f 100644
--- a/accessibility/linuxwacom/slack-desc
+++ b/accessibility/linuxwacom/slack-desc
@@ -16,4 +16,4 @@ linuxwacom:
linuxwacom:
linuxwacom:
linuxwacom:
-linuxwacom:
+linuxwacom: